w3hello.com logo
Home PHP C# C++ Android Java Javascript Python IOS SQL HTML videos Categories
SSL_NULL_WITH_NULL_NULL cipher suite in in Jetty logs
You will see this under at least the following circumstances: You have modified the enabledCipherSuites to include all the supported cipher suites. (Don't!) The SSL handshake is not yet complete.

Categories : Java

How to conveniently store common logs and client specific logs
I would have an xml file that contain the appenders to specify what packages go into what log file. You can then load the xml file in your application entry point. Below is an example I have used in my current project <log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/"> <!-- appenders --> <appender name="console" class="org.apache.log4j.ConsoleAppender"> <param name="Target" value="System.out" /> <param name="threshold" value="error" /> <layout class="org.apache.log4j.PatternLayout"> <param name="ConversionPattern" value="[%t] %p %c - %m%n" /> </layout> </appender> <appender name="codebaseXAppender" class="org.apache.log4j.RollingFileAppender"> <

Categories : Java

The cipher 'aes256-cbc' is required, but it is not available
You need to add to Your JRE - java unlimited strength policy, eg.: http://www.oracle.com/technetwork/java/javase/downloads/jce-6-download-429243.html Please replace local_policy and us_export_policy on the server's JRE path (libsecurity) Other version of JCE policies can be found on oracle web pages.

Categories : Misc

How to add to the cipher suites available to ASP.NET HttpRequest client?
The solution was to generate my certificate again, this time forcing RSA and SHA1 (though SHA1 should be the default anyway). For some reason Win Server 2k3 couldn't or wouldn't use the right ciphers with a default makecert certificate. Here is the command line that worked for me: makecert -pe -r -ss my -sr localMachine -n "CN=domainnameoripaddressgoeshere.com" -e 01/01/2098 -a sha1 -eku 1.3.6.1.5.5.7.3.1 -sky exchange -sp "Microsoft RSA SChannel Cryptographic Provider" -sy 12 For details see http://mgowen.com/2013/06/19/cipher-suites-issue/ and http://msdn.microsoft.com/en-us/library/bfsktky3(v=vs.110).aspx . If anyone finding this does want to know about cipher suites though, here's some stuff I found along the way that may help you: You can add two RSA cipher suites to windows serv

Categories : Asp Net

AES password security using CryptoJS on client and Java's Cipher on server
You are passing a passphrase instead of a key at the client side. So it will do OpenSSL key derivation, probably generating an IV in there as well. Performing SecretPassphrase".getBytes() is something that you should never do either. Use hexadecimals if you want your key to be text, and convert it into binary using hexadecimal decoding.

Categories : Java

crypto.createCipheriv -> cipher.update + cipher.final does not return a Buffer?
You're concatenating them using += which turns buffers into strings. Your code should be something more like this : var cipher = crypto.createCipheriv('aes-256-cbc', buf1, buf2.slice(0,16)); var cryptedBuffers = [cipher.update(new Buffer('this is some test'))]; cryptedBuffers.push(cipher.final()); // at this point `cryptedBuffers` is an array of buffers which you can turn // into a single buffer by doing var crypted = Buffer.concat(cryptedBuffers);

Categories : Javascript

Log4j - missing logs in zipped files under heavy load
You could try to create a copy of the log to some temp location (or at the same location, if space is not a constraint); and then zip it. It might happen that the point of time zipping is happening, the logger buffer is trying to wrte back and faling. Since log4j fails silently, it is difficult to trace such error.

Categories : Java

splitting up cipher text into substrings (vigenere cipher)
Not tested, but you could do something like this: int len = cipherText.length; char[] text2inspect = char[(len/keyLength) + 1] for (int startIndex = 0; keyLength > startIndex; startIndex++){ int destIndex = 0; for (int index = startIndex; len > index; index += keyLength){ text2inspect[destIndex++] = cipherText[index]; } text2inspect[destIndex] = 0; // String termination // add your inspection code here }

Categories : C++

Web Deploy Command Line Logs in Event Logs (Updated / Inserted / Deleted Files) in event logs
I don't believe you can log the activities to the event log, but what you can do is use the -xml parameter to output the changes in XML format. You could then use this to log to the event log via a Powershell script, for example.

Categories : Iis

nginx missing sites-available directory
Well I think nginx by it self doesn't have that in it's setup, but the Ubuntu maintained package does it as a convention to imitate apache setup, you can create it your self if you want. Create /etc/nginx/sites-available and /etc/nginx/sites-enabled and then edit the http block inside /etc/nginx/nginx.conf and add this line include /etc/nginx/sites-enabled/*; of course all the files will be inside sites-available and then you create a symlink for them inside sites-enabled

Categories : Nginx

CloudFoundry / Nginx / Grails and the X-Forwarded Header (Missing)
I've never worked with Nginx, but it looks like you can add custom headers to the proxied request to the end server very easily. http://wiki.nginx.org/HttpProxyModule

Categories : Grails

Missing assets on production mode - passenger on nginx
Try using image-url instead of url. background: #fff image-url('wallpaper.jpg') top left; From the Asset Pipeline documentation: When using the asset pipeline, paths to assets must be re-written and sass-rails provides -url and -path helpers (hyphenated in Sass, underscored in Ruby) for the following asset classes: image, font, video, audio, JavaScript and stylesheet.

Categories : Ruby On Rails

missing required keys: [:option]
poems_by_votes_path is just going to return a string that then is going to be used by link_to. The vote parameter needs to be included somewhere in that string (such as in the query string). I would do something like: get 'poems/by_vote', as: :poems_by_vote .... poems_by_vote_path # poems/by_vote poems_by_vote_path(vote: true) # poems/by_vote?vote=true .... def index vote = params[:vote] || false # look up poems based on vote... end

Categories : Ruby On Rails

The application is missing required files
When you run set up in another machine, publish folder of the application is needed to be present in that machine in the correct location. In your case publish folder is not present. Hence this kind of error is comming. Paste publish folder from your machine where program is running sucessfully to another machine where you want to install the application. Then, run the setup file, within that publish folder. Then only you will overcome from this problem. Publish folder contains all the necessary dlls and files, that application needs to run.

Categories : C#

SSL3 POST with Python
I would use the requests library. I'm the OP and it's been a while since I posted this. I've solved other related tasks (POST to use Instructure's Canvas API) using the requests library and found that code that had worked with urllib/urllib2 is now much shorter and sweeter. Someone just upvoted this question, causing me to see that noone had answered it. My answer isn't much of one to my OP, but it is the direction I'd advise, having solved related problems since the post. As for this question, I solved the problem by scripting in BASH on the server that had cPanel running. It was just a matter of identifying which cPanel scripts to call. But I did not get it running through the cPanel Web API.

Categories : Python

E-tags missing from response headers with rails 3.2 / nginx / phusion passanger
It seems that nginx > 1.3 will ignore the e-tag from your application server if gzip is enabled for nginx. We didn't find a solution in nginx that would allow us to pass through the e-tags from the application server and gzip the response. I believe weak e-tags might work for this, but nginx does not currently support them.

Categories : Ruby On Rails

TypeError: Missing 1 required positional argument: 'self'
You need to instantiate a class instance here. Use p = Pump() p.getPumps() Small example - >>> class TestClass: def __init__(self): print "in init" def testFunc(self): print "in Test Func" >>> testInstance = TestClass() in init >>> testInstance.testFunc() in Test Func

Categories : Python

ActionController::UrlGenerationError missing required keys: [:id]
form_for should always get an object.. like a user from the controller # controller def new @user = User.new end # form <%= form_for @user,... Or you can use the form_tag method, which is not relying on an object..

Categories : Ruby On Rails

"missing required :bucket option" for Paperclip/S3
I think that's because :bucket should be an option passed to Paperclip not to S3. Fixed config config.paperclip_defaults = { :storage => :s3, :s3_protocol => 'http', :bucket => ENV['AWS_BUCKET'], :s3_credentials => { :access_key_id => ENV['AWS_ACCESS_KEY_ID'], :secret_access_key => ENV['AWS_SECRET_ACCESS_KEY'] } } And Paperclip::Storage::S3 doc seems to confirm that, even being so poorly written/formatted. EDIT: In one of my projects I use Paperclip with Fog gem and this works well Paperclip::Attachment.default_options.merge!( :storage => :fog, :fog_credentials => { :provider => 'AWS', :aws_access_key_id => ENV['S3_ACCESS_KEY_ID'], :aws_secret_access_key => ENV['S3_SECRET_ACCESS_KEY'], :region =&

Categories : Ruby On Rails

Missing en_US locale required for python
try to add the 'utf8' bit as well; import locale locale.getlocale() >>> (None, None) locale.setlocale(locale.LC_ALL, 'en_US.utf8') >>> 'en_US.utf8' locale.getlocale() >>> ('en_US', 'UTF-8')

Categories : Python

SqlDataSource InsertCommand Missing Required Parameters
this is for Update: <UpdateParameters> <asp:ControlParameter Name="TestData" ControlId="updateTest" PropertyName="Text" /> <asp:ControlParameter Name="MoreData" ControlId="updateMore" PropertyName="Text" /> <asp:ControlParameter Name="ID" ControlId="DropDownList2" PropertyName="SelectedValue" /> </UpdateParameters> and this is for Insert <InsertParameters> <asp:ControlParameter Name="InsertTestData" ControlId="insertTest" PropertyName="Text" /> <asp:ControlParameter Name="InsertID" ControlId="insertIDD" PropertyName="SelectedValue" /> <asp:ControlParameter Name="InsertMoreData" ControlId="insertMore" PropertyName="Text" /> </InsertParameters> At the end: <asp:sqldatasource ID="datasource" runat="

Categories : C#

missing 1 required positional argument: 'offset'
I Changed: url(r'^time/plus/d+/$', hours_ahead) to: url(r'^time/plus/(d+)/$', hours_ahead) and apparently it fixed my problem.

Categories : Python

Protobuf declaring i'm missing required fields when i'm clearly not
Turns out that protobufs does not take kindly to being used across multiple threads using a globally declared variable. The error I am having is the result of me having multiple data streams which my server is processing. I am declaring the protobuf handler code above as a stand alone function which each thread calls. Since there is no exclusivity checking, as I'm in the middle of one call (the ParseFromArray, for instance), another call from another thread could be modifying the data within the object. So long story short, I did not pay attention to the basic tenants of multithreaded programming and as a result I was dooming myself to spending a few hours trying to figure out how protobufs was failing. I can only hope this helps someone else in the future.

Categories : C++

Solr 4 - missing required field: uuid
Going by the example at link it should be <requestHandler name="/dataimport" class="org.apache.solr.handler.dataimport.DataImportHandler"> ......... <lst name="defaults"> <str name="config">data-config.xml</str> <str name="update.chain">uuid</str> </lst> </requestHandler> <updateRequestProcessorChain name="uuid"> <processor class="solr.UUIDUpdateProcessorFactory"> <str name="fieldName">uuid</str> </processor> <processor class="solr.RunUpdateProcessorFactory" /> </updateRequestProcessorChain>

Categories : Apache

form_tag routing missing required keys: [:id]
Try this: <%= form_tag(sell_order_path(5)) do %> <%= hidden_field_tag :stock_symbol, 'test' %> <%= label_tag :stock_name, 'Buy Quantity' %> <%= text_field_tag :stock_name, params[:quantity] %> <%= submit_tag "Buy", class: "btn" %> <% end %> The error occurs because you need to pass appropriate object id to your url helper if it routes to resource member action. Also, I moved stock_symbol to hidden field inside your form.

Categories : Ruby On Rails

maven error message "1 required artifact is missing"
It seems like you have one maven-Projekt " iseek-content-fetcher-fb" that you are working on and which your reference via dependency in another local project. Maven do not scan your projects in eclipse target folder. It is only aware of maven-artifacts in your local-repository "~/.m2" or remote-repository like http://mvnrepository.com/. You have to compile and install your maven project to local repository with: mvn install install - install the package into the local repository, for use as a dependency in other projects locally

Categories : Java

Getting the Error "Required option '-K, --private-key KEY' missing (-h for usage)"
Posting this so it might be helpful for others. The problem was happening because when I installed Ubuntu I had installed the ec2-tools using the apt-get from terminal. This version of ec2 which Ubuntu has is an outdated version (it was last updated in 2011). When I found this out, I removed it. And reconfigured the path to the current version of ec2 cli tools I had downloaded and it worked!!! :) The way to install newer versions of the ec2-api-tools, as suggested by https://help.ubuntu.com/community/EC2StartersGuide, is to simply add the aws-tools PPA: sudo apt-add-repository ppa:awstools-dev/awstools sudo apt-get upgrade and then a simple apt-get install ec2-api-tools will install the correct version. :)

Categories : Amazon

SOLR CSV processing error - missing required field
Ok, your definition of ProdId is this: <field name="ProdId" type="string" indexed="false" stored="false" required="true" multiValued="false" /> As far as I can remember, Solr doesn't like a required field which is not stored nor indexed. Also, I remember having weird issues when using id as a field name suffix.

Categories : Solr

Rails Paperclip S3 - missing required :bucket option
Like dcro says, you need to set the AWS_BUCKET environment variable properly. To do this, create a file at config/application.yml and put the following in it, using your Amazon credentials: AWS_ACCESS_KEY_ID: "whatever_the_key_is" AWS_SECRET_ACCESS_KEY: "whatever_the_secret_is" AWS_BUCKET: "ndeavor-dev" Then restart your server. You'll then be able to use your models something like this: has_attached_file :attachment , :storage => :s3 , :s3_credentials => {:bucket => ENV['AWS_BUCKET' ], :access_key_id => ENV['AWS_ACCESS_KEY_ID' ],

Categories : Ruby On Rails

Where is my nginx being configured? Changing nginx.conf still brings me to the 'Welcome to nginx' page
when you rewrited the nginx.conf in the folder of source code of nginx and installed it firstly, it will be copied to /usr/local/nginx/conf/nginx.conf (without specially modification of the configure in the folder of source code). But when you do this secondly, the nginx.conf in the folder of source code will be copied to /usr/local/nginx/conf/nginx.conf.defualt,and it usually don't work unless you use nginx -c /usr/local/nginx/conf/nginx.conf.defualt to assign its configure file evertime. There is a line NGINX_CONF_FILE="/usr/local/nginx/conf/nginx.conf" in your script above,which indicates the configure file clearly. To handle this, I suggest rewrite /usr/local/nginx/conf/nginx.conf (not the one in the folder of source code) instead.

Categories : Nginx

Rails Paperclip S3 ArgumentError (missing required :bucket option):
Here is my paperclip initialization stuff: Paperclip::Attachment.default_options.merge!({ storage: :s3, s3_credentials: { access_key_id: ENV['S3_KEY'], secret_access_key: ENV['S3_SECRET'], bucket: "#{ENV['S3_BUCKET']}-#{Rails.env}" }, url: ":s3_domain_url", path: "/:class/:attachment/:id_partition/:style/:filename" }) This assumes that we have three environment variables setup called, you guessed it... S3_KEY, S3_SECRET, and S3_BUCKET. I did a little trick so that I could have a different bucket in each environment by adding Rails.env to the bucket variable. You seem to indicate in your question that you're putting the actual name of the bucket in the reference to ENV, which would not work. You should put the name of the bucket in the

Categories : Ruby On Rails

Php - Your PHP installation appears to be missing the MySQL extension which is required by WordPress
The php mysql api is deprecated. It's kaput --- going away -- not to be used, finito. Your php installation probably reflects this. Rather than attempting to resurrect something that php no longer supports, just patch your wordpress: http://wordpress.org/plugins/mysqli/

Categories : PHP

Visual Studio 2012 Fakes Missing Required Reference
We have recently fixed a similar problem in Fakes for Visual Studio 2013. In the new version it will pass all references from the parent project to the generated f.csproj and you will be able to solve problems like this by referencing MyAssembly from the parent project. Please consider submitting this at http://connect.microsoft.com/visualstudio. That way we would be able to accept a larger project for investigation and keep it private.

Categories : C#

Xcode build error - missing required architecture i386
You could conditionally compile the code using that framework: #if !TARGET_IPHONE_SIMULATOR // Code using "SomeComponent" that should be compiled for iOS device only ... #endif Alternatively, you could "weakly link" against the framework (as described in "Using Weakly Linked Classes in iOS" and check the availability of the class at runtime: if ([SomeComponent class]) { // Create an instance of the class and use it. } else { // Alternate code path to follow when the // class is not available. }

Categories : IOS

ArgumentError in SongsController#create missing required :bucket option
In dev and prod env you call: ENV['my bucketname'] In model: ENV['bucketname'] Also a good name for env variable would be: ENV['MY_BUCKETNAME'] In your case: ENV['AWS_BUCKET'] config.paperclip_defaults = { :storage => :s3, :bucket => ENV['BUCKETNAME'], :s3_credentials => { :access_key_id => ENV['my access key'], :secret_access_key => ENV['my secret access key'] } }

Categories : Ruby On Rails

Hotmail SSL3 version number error using smtp
I can duplicate your problem with Debian Wheezy with Python 2.7.3 which uses the exact same OpenSSL version you report. I captured packets with Wireshark and there is a successful TLS handshake and some data is exchanged. Shortly after that however, the client end gets unhappy with something the server sends and closes the connection. I was able to work around the issue by using SSL3 instead of TLS. I couldn't figure out how to patch a library method in Python so that other libraries that used it would behave differently, so I just made my own local copy of smtplib. I copied the 2.7 version of smtplib (click on the raw link to download) and changed one line: self.sock = ssl.wrap_socket(self.sock, keyfile, certfile) to self.sock = ssl.wrap_socket(self.sock, keyfile,

Categories : Python

Python TypeError: Find_Number() missing 1 required positional argument: 'limitdivision'
You are calling the method on the class. You probably wanted to call it on self instead: num = self.Find_Number(index) This goes for all FindMaxNumber. references in your methods; call methods on the instance unless you have a very specific reason to call them on the class instead, in which case you need to pass in an instance as the first argument, explicitly.

Categories : Python

Error: Your PHP installation appears to be missing the MySQL extension which is required by WordPress
its not mySQL that is the issue you need to enable the mySQL extensions required by Wordpress in the php.ini file or install them if they don't exist. When you removed MySQL it probably removed or diabled the extensions for it in PHP, atleast that is what it sounds like. You should be able to just install or enable the extensions back in without reinstalling all of mySQL

Categories : Mysql

Jquery mobile shop page missing: placeholder = "Password (required)"
Though I have not entirely understood your problem, I believe you would be having the id of the input tag readable from javascript. Making that assumption, what you can do is, on document ready, you can add an attribute placeholder to your input tag. In HTML: <input name="ctl00$bc$tbPassword" type="password" id="ctl00_bc_tbPassword" class="ui-input-text ui-body-c ui-corner-all ui-shadow-inset"> In JS: $(document).ready(function(){ $("#ctl00_bc_tbPassword").attr("placeholder", "Password(Required)"); }); DEMO

Categories : Javascript

maven jboss-as:start A required class was missing ... org/sonaty.../ArtifactResolutionException
As far as I understand this bug report : jboss-as-maven-plugin have 2 dependencies on incompatible maven plugin (dependency-plugin and enforcer-plugin). As a workaround, I would try the following : override incompatible dependencies with newer versions known to be compatible (listed here). To do so : change your pom.xml and add the following dependencies for jboss-as-maven-plugin (i.e. NOT your project dependencies) <plugin> <groupId>org.jboss.as.plugins</groupId> <artifactId>jboss-as-maven-plugin</artifactId> <version>${plugins.version.org.jboss.as.plugins.jboss-as-maven-plugin}</version> <configuration> <javaHome>${thenaglecode.java.home}</javaHome>

Categories : Java



© Copyright 2017 w3hello.com Publishing Limited. All rights reserved.